Kubernetes
List node pools
get
/kubernetes/{cluster_uuid}/node-pools/View all node pools in a Kubernetes cluster with their workers and configuration.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
cluster_uuid*string
Respuestas
Successful Response
application/json
array<NodePoolOut>
uuid*string
name*string
plan*PlanSummaryOut
Propiedades (6)
id*integer
name*string
ram*integer
cpu*integer
storage*integer
price_per_hour*number
desired_nodes*integer
min_nodes*integer
max_nodes*integer
labels?record<string, any> | null
taints?array<any> | null
auto_scale*boolean
auto_repair*boolean
nodes*array<WorkerNodeOut>
Propiedades (8)
vps_id*integer
vps_name*string
vps_status*string
k8s_status*string
floating_ip?string | null
private_ip?string | null
node_name?string | null
health?K8sNodeHealthOut | null
What the Kubernetes API last reported about a worker node.
Propiedades (8)
ready*boolean
conditions*K8sNodeConditionsOut
Propiedades (3)
memory_pressure*boolean
disk_pressure*boolean
pid_pressure*boolean
unschedulable*boolean
kubelet_version*string
allocatable*K8sNodeAllocatableOut
Propiedades (3)
cpu_m*integer
mem_bytes*integer
pods*integer
usage?K8sNodeUsageOut | null
Propiedades (2)
cpu_m*integer
mem_bytes*integer
ready_since?integer | null
last_seen_at*integer
created_at*string
Formato
date-time